# TdApi.SetChatMemberStatus (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SetChatMemberStatus

Package it.tdlight.jni

# Class TdApi.SetChatMemberStatus

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SetChatMemberStatus

Enclosing class:
  TdApi

    public static class TdApi.SetChatMemberStatus
    extends TdApi.Function

Changes the status of a chat member, needs appropriate privileges. This function is currently not suitable for transferring chat ownership; use transferChatOwnership instead. Use addChatMember or banChatMember if you need to pass some additional parameters.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier.
`static int` | `CONSTRUCTOR` |
`TdApi.MessageSender` | `memberId` | Member identifier.
`TdApi.ChatMemberStatus` | `status` | The new status of the member in the chat.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SetChatMemberStatus()` | Changes the status of a chat member, needs appropriate privileges.
`SetChatMemberStatus​(long chatId, TdApi.MessageSender memberId, TdApi.ChatMemberStatus status)` | Changes the status of a chat member, needs appropriate privileges.
`SetChatMemberStatus​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### memberId

public TdApi.MessageSender memberId
Member identifier. Chats can be only banned and unbanned in supergroups and channels.

### status

public TdApi.ChatMemberStatus status
The new status of the member in the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SetChatMemberStatus

public SetChatMemberStatus()
Changes the status of a chat member, needs appropriate privileges. This function is currently not suitable for transferring chat ownership; use transferChatOwnership instead. Use addChatMember or banChatMember if you need to pass some additional parameters.

Returns `Ok`

### SetChatMemberStatus

public SetChatMemberStatus​(long chatId, TdApi.MessageSender memberId, TdApi.ChatMemberStatus status)
Changes the status of a chat member, needs appropriate privileges. This function is currently not suitable for transferring chat ownership; use transferChatOwnership instead. Use addChatMember or banChatMember if you need to pass some additional parameters.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `memberId` - MessageSender Member identifier. Chats can be only banned and unbanned in supergroups and channels.
  `status` - ChatMemberStatus The new status of the member in the chat.

### SetChatMemberStatus

public SetChatMemberStatus​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`